// If using a texture instead, define:
#include "common/model_pixel.hlsl"
Texture2D diffuse : register(t0, space2);
SamplerState smp : register(s0, space2);


float4 main(PSInput input) : SV_TARGET
{
  float4 color = diffuse.Sample(smp, input.uv);
  
  return float4(color.rgb*input.gouraud, 1.0);
}
